Syncware
  1. Invoices
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
    • Query Single Customer
    • Create New Customer
  • Invoices
    • Query All Invoices
      GET
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Invoices

Query All Invoices

GET
/invoices
Invoices
Last modified:2026-10-22 03:18:26

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.syncware.com/api/v1/invoices?lastInvoiceDate={lastInvoiceDate}&lastInvoiceId={lastInvoiceId}&page={page}&limit={limit}&skip={skip}&sort={sort}&sortDirection={sortDirection}&filterText={filterText}&source={source}&status={status}' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "Total": 1,
  "InvoiceList": [
    {
      "InvoiceID": "1495",
      "InvoiceType": "",
      "InvoiceNumber": "39",
      "InternalID": "",
      "InvoiceDate": "4/12/2018 12:00:00 AM",
      "InvoiceDue": "4/22/2018 12:00:00 AM",
      "TxnID": "",
      "CustName": "Dana  Moore",
      "CustAcctgID": "B03-1544096419",
      "Agency": "Super Agency",
      "Terms": "Net 30",
      "Amount": "18.00",
      "Subtotal": "18.00",
      "PO": "TEST-PO-1",
      "OrderNumber": "",
      "Comments": "Test order only",
      "BillingAddress": {
        "Code": "",
        "Name": "Dana  Moore",
        "Company": "Dana  Moore",
        "Address1": "3888 Cobblewood Drive",
        "Address2": "",
        "City": "Southaven",
        "State": "MS",
        "FirstName": "",
        "LastName": "",
        "Zip": "38672",
        "Country": "USA",
        "Phone": "1112223333",
        "Fax": "",
        "Email": "test@user.com",
        "Contact": ""
      },
      "ShippingAddress": {
        "Code": "",
        "Name": "Dana  Moore",
        "Company": "Test Company",
        "Address1": "3888 Cobblewood Drive",
        "Address2": "",
        "City": "Southaven",
        "State": "MS",
        "FirstName": "",
        "LastName": "",
        "Zip": "38672",
        "Country": "USA",
        "Phone": "",
        "Fax": "",
        "Email": "",
        "Contact": ""
      },
      "ShipMethod": "US Mail",
      "PaymentMethod": "Check",
      "ShipCost": "0.00",
      "ShipDate": "4/12/2018 12:00:00 AM",
      "SalesTax": "0.00",
      "LineItems": [
        {
          "LineNumber": 28,
          "LineKey": "10000-2264",
          "SKU": "NSBC18sm",
          "Description": "Silver Belcher Chain - 18\"",
          "Price": "18",
          "RetailPrice": null,
          "Quantity": "1",
          "Amount": "18",
          "UPC": "1000000000012",
          "QuantityOrdered": "5",
          "QuantityShipped": "5",
          "QuantitySent": "5",
          "QuantityInvoiced": "5",
          "Discount": null,
          "Custom1": null,
          "Custom2": null,
          "Custom3": null,
          "Custom4": null,
          "Custom5": null,
          "CustomFields": [],
          "AltSKU": null,
          "TxnLineId": "",
          "Notes": null
        }
      ],
      "CancelDate": null,
      "CustomerMessage": "",
      "BalanceDue": "0.00",
      "CheckNumber": "",
      "Discount": "0.00",
      "CustomFieldsArray": [],
      "Status": "INVOICED",
      "Source": "Quickbooks",
      "LinkedTxnId": "",
      "LinkedRefNumber": "",
      "ServerId": "852",
      "ThirdPartyAccount": "",
      "Door": "",
      "Department": "",
      "BranchName": "",
      "DistributionCenter": "",
      "Class": "",
      "VendorNo": "",
      "Shipments": [
        {
          "ShipperAcctNo": "",
          "Status": "SHIPPED",
          "ShipDate": "2021-06-12T15:23:03Z",
          "ShipService": "Ground",
          "ShipCarrier": "FEDEX",
          "TrackingNumber": "123465123456123456123465",
          "TrackingUrl": "",
          "Cost": "0.00",
          "Warehouse": "",
          "Weight": "0.05",
          "asn_sent": "true"
        }
      ]
    }
  ]
}
Previous
Create New Customer
Next
Generate Packing Slip
Built with